Bug 509972 - Display corruption
Display corruption
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
: 509969 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 04:11 EDT by Steve
Modified: 2009-09-14 13:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 13:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture of the splited display (2.30 MB, image/jpeg)
2009-07-07 04:13 EDT, Steve
no flags Details
Output of Xorg.0.log (81.19 KB, application/octet-stream)
2009-07-07 04:13 EDT, Steve
no flags Details

  None (edit)
Description Steve 2009-07-07 04:11:53 EDT
Description of problem:
The driver splits the display (see pictutre)

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.14-1.20090701git6d14327.fc12.i586

How reproducible:
Always

Steps to Reproduce:
1.Install xorg-x11-drv-nouveau-0.0.14-1.20090701git6d14327.fc12.i586
2.Reboot
3.
  
Actual results:
Splitted display

Expected results:


Additional info:
Graphig Card: Gainward Bliss 7800GS+ AGP
Comment 1 Steve 2009-07-07 04:13:11 EDT
Created attachment 350742 [details]
Picture of the splited display
Comment 2 Steve 2009-07-07 04:13:53 EDT
Created attachment 350744 [details]
Output of Xorg.0.log
Comment 3 Steve 2009-07-08 02:22:44 EDT
xorg-x11-drv-nouveau-0.0.14-0.20090625gitc0bf670.fc12.i586 is the latest working driver.
Comment 4 Adam Williamson 2009-07-20 20:47:33 EDT
*** Bug 509969 has been marked as a duplicate of this bug. ***
Comment 5 Ben Skeggs 2009-08-04 01:57:40 EDT
I believe this should be fixed already with latest packages from rawhide, can you confirm?

Thanks,
Ben.
Comment 6 Steve 2009-08-04 04:05:32 EDT
I cannot confirm that, because i do not work with rawhide anymore (to broken). Maybe i can confirm that in the alpha release of fedora 12.
Comment 7 Ben Skeggs 2009-08-04 04:16:26 EDT
Okay no worries, I'll re-set the NEEDINFO flag so I can keep track of things :)
Comment 8 Adam Williamson 2009-08-04 19:26:24 EDT
You can grab a pre-Alpha build here: http://alt.fedoraproject.org/pub/alt/stage/12-Alpha-TC/

maybe just get one of the live CD builds and try that, shouldn't take too long.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Steve 2009-08-05 05:11:26 EDT
Booting fedora 11 live cd and installing xorg-x11-drv-nouveau-0.0.15-0.20090728git4d20547.fc12.i686.rpm does not work because of dependency resolution of kernel-drm....
Comment 10 Adam Williamson 2009-08-05 12:32:57 EDT
yeah, no, since it uses KMS by default now nouveau depends on rather a lot of stuff in the kernel. but see above, you can try a live F12 pre-alpha, that should be recent enough to test and isn't dangerous, as you don't have to install it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Steve 2009-08-05 14:25:06 EDT
Are i'm stupid, or is there no pre-alpha livecd?
Comment 12 Adam Williamson 2009-08-05 15:18:01 EDT
er. no, you're not, I am! I'm terribly sorry, I just sort of assumed there was.

Well, hang tight for the Alpha then, sorry for the false alarm.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Ben Skeggs 2009-09-13 22:32:22 EDT
Any updates?
Comment 14 Steve 2009-09-14 02:35:16 EDT
I have no more nvidia card and cannot test this bug anymore. Sorry about not reporting. Please close the bug. Someone can reopen it if the bug further exists.
Comment 15 Ben Skeggs 2009-09-14 13:06:59 EDT
No problem, thank you.

Note You need to log in before you can comment on or make changes to this bug.